﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FormattedTextColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetData();
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[1].CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
            this.ultraGrid1.DisplayLayout.Override.DefaultRowHeight = 30;
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[1].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedTextEditor;
        }

        private DataTable GetData() 
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Text", typeof(string));

            for (int i = 0; i < 5; i++) 
            {
                var row = dt.Rows.Add();

                row[0] = i;
                row[1] = "<b>" + "A0" + i + "</b>" + "<br></br>HI";

            }

            var keys = new DataColumn[1];
            keys[0] = dt.Columns["ID"];

            dt.PrimaryKey = keys;

            return dt;
        }
    }
}
